.our-location-1 {
  position: relative;
  /* height: 5rem; */
}

.our-location-1__title {
  font-size: var(--co-font-4);
  text-transform: capitalize;
  line-height: 0.909rem;
  color: var(--brandClr);
  margin-top: 1.9rem;
  margin-bottom: 0rem;
  align-self: flex-start;
}

.our-location-1__title > span {
  font-size: var(--co-font-3);
  font-weight: 400;
  color: black;
}

.our-location-1__container {
  display: flex;
  margin-top: 0.27rem;
}

.our-location-1__container-text {
  font-size: var(--co-font-2);
  font-weight: 400;
  width: 10.2rem;
  line-height: 0.6rem;
  margin-top: 0.454rem;
  text-transform: capitalize;
}

.our-location-1__btn {
  height: 0.95rem;
  width: 2.85rem;
  border-radius: 0.3rem;
  border: 0;
  font-size: var(--co-font-2);
  border: calc(1.5rem / 22) solid var(--brandClr);
  background: transparent;
  margin-left: 0.8rem !important;
  align-self: flex-end;
  margin: 0.2rem;
  font-weight: bold;
  color: black;
  position: relative;
  bottom: 3.48rem;
  left: 0.4rem;
}

.our-location-1__pin-image {
  position: absolute;
  bottom: 2.2rem;
  right: -1.2rem;
  height: 5.43rem;
  width: 4rem;
  transform: rotate(-0.85deg);
}

/* *{
      border: 1px solid red;
  } */

.our-location-1__area-box {
  background-color: var(--brandClr);
  color: white;
  text-align: center;
  font-size: var(--co-font-5);
  padding: 0.318rem;
  border-radius: 0.4rem;
  margin-top: 1rem;
  height: calc(var(--co-font-2) * 4);
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 600;
}

@media screen and (min-width: 768px) {
  .our-location-1__title {
    margin-bottom: 1.07rem;
    line-height: 0.94rem;
  }
  .our-location-1__btn {
    position: relative;
    bottom: 0;
    left: -0.2rem;
  }
  .our-location-1__container-text {
    width: 23.9rem;
    font-weight: 400;
    line-height: 0.7rem;
  }
  .our-location-1 {
    display: flex;
    flex-direction: column;
    margin-top: 2.5rem;
  }

  .our-location-1__area-box {
    font-size: 0.64rem;
    width: 30.38rem;
    align-self: flex-end;
    height: 1.77rem;

    border-radius: 0.18rem;
  }

  .our-location-1__pin-image {
    bottom: 1.4rem;
    right: -2rem;
    height: 6.98rem;
    width: 5.17rem;
    transform: rotate(0deg);
  }
}
